RccConstants (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.compiler.generated
Interface RccConstants

All Known Implementing Classes:
  Rcc, RccTokenManager

    public interface RccConstants

Field Summary
`static int` | `BOOLEAN_TKN`
`static int` | `BUFFER_TKN`
`static int` | `BYTE_TKN`
`static int` | `COMMA_TKN`
`static int` | `CSTRING_TKN`
`static int` | `DEFAULT`
`static int` | `DOT_TKN`
`static int` | `DOUBLE_TKN`
`static int` | `EOF`
`static int` | `FLOAT_TKN`
`static int` | `GT_TKN`
`static int` | `IDENT_TKN`
`static int` | `INCLUDE_TKN`
`static int` | `INT_TKN`
`static int` | `LBRACE_TKN`
`static int` | `LONG_TKN`
`static int` | `LT_TKN`
`static int` | `MAP_TKN`
`static int` | `MODULE_TKN`
`static int` | `RBRACE_TKN`
`static int` | `RECORD_TKN`
`static int` | `SEMICOLON_TKN`
`static String[]` | `tokenImage`
`static int` | `USTRING_TKN`
`static int` | `VECTOR_TKN`
`static int` | `WithinMultiLineComment`
`static int` | `WithinOneLineComment`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### MODULE_TKN

    static final int MODULE_TKN

See Also:
  Constant Field Values

### RECORD_TKN

    static final int RECORD_TKN

See Also:
  Constant Field Values

### INCLUDE_TKN

    static final int INCLUDE_TKN

See Also:
  Constant Field Values

### BYTE_TKN

    static final int BYTE_TKN

See Also:
  Constant Field Values

### BOOLEAN_TKN

    static final int BOOLEAN_TKN

See Also:
  Constant Field Values

### INT_TKN

    static final int INT_TKN

See Also:
  Constant Field Values

### LONG_TKN

    static final int LONG_TKN

See Also:
  Constant Field Values

### FLOAT_TKN

    static final int FLOAT_TKN

See Also:
  Constant Field Values

### DOUBLE_TKN

    static final int DOUBLE_TKN

See Also:
  Constant Field Values

### USTRING_TKN

    static final int USTRING_TKN

See Also:
  Constant Field Values

### BUFFER_TKN

    static final int BUFFER_TKN

See Also:
  Constant Field Values

### VECTOR_TKN

    static final int VECTOR_TKN

See Also:
  Constant Field Values

### MAP_TKN

    static final int MAP_TKN

See Also:
  Constant Field Values

### LBRACE_TKN

    static final int LBRACE_TKN

See Also:
  Constant Field Values

### RBRACE_TKN

    static final int RBRACE_TKN

See Also:
  Constant Field Values

### LT_TKN

    static final int LT_TKN

See Also:
  Constant Field Values

### GT_TKN

    static final int GT_TKN

See Also:
  Constant Field Values

### SEMICOLON_TKN

    static final int SEMICOLON_TKN

See Also:
  Constant Field Values

### COMMA_TKN

    static final int COMMA_TKN

See Also:
  Constant Field Values

### DOT_TKN

    static final int DOT_TKN

See Also:
  Constant Field Values

### CSTRING_TKN

    static final int CSTRING_TKN

See Also:
  Constant Field Values

### IDENT_TKN

    static final int IDENT_TKN

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### WithinOneLineComment

    static final int WithinOneLineComment

See Also:
  Constant Field Values

### WithinMultiLineComment

    static final int WithinMultiLineComment

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation